// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// AngularV2.java
// Procedures related to starting up the program and adjusting the settings
// are in this file.
// ------------------------------------------------------------------------------

// The instance of the 'Game' class
Game game;

/**
 * Only gets executed once upon startup
 */
void setup() 
{
   size(800,420);
   smooth();
   frameRate(30);
   game = new Game();
}

/**
 * Gets executed on each frame
 */
void draw() 
{
  // Execute one frame of the game
  game.frame();
}

/**
 * Mousepressed listener. It tells the game
 * that the user has pressed the mouse button
 */
void mousePressed()
{
  game.mousePressed();
}

/**
 * Mousedragged listener. It tells the game
 * that the user has dragged the mouse
 */
void mouseDragged()
{
  game.mouseDragged();
}

/**
 * Keypressed listener. It tells the game
 * that the user has pressed a key
 */
void keyPressed()
{
  game.keyPressed();
}

/**
 * Keyreleased listener. It tells the game
 * that the user has released a key
 */
void keyReleased()
{
  game.keyReleased();
}
