// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Material.java
// Every object in the game world will have a certain material type. This will define
// colour and specular shine.
// ------------------------------------------------------------------------------

class Material
{
  float specular;              // The amount of shine the object has (0-100)
  float glow;                  // How much the object glows (0-100)
  color body;                  // The object's body's color
  color border;                // The object's border's color
  int stroke;                  // The border's thickness
  // -- Physics stuff ------
  float invDensity;            // 1/density of the material
  float bounce;                // Bounce constant
  
  /**
   * Constructor
   */
  Material(float Specular, float Glow, color Body, color Border, int Stroke, float InvDensity, float Bounce)
  {
    specular = Specular;
    glow = Glow;
    body = Body;
    border = Border;
    stroke = Stroke;
    invDensity = InvDensity;
    bounce = Bounce;
  }
}
