// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Point.java
// Pretty self explanatory I would say. No?
// ------------------------------------------------------------------------------

class Point
{
  float x;
  float y;
  
  /**
   * Constructor with no arguments
   */
  Point()
  {
    x = 0;
    y = 0;
  }
  
  /**
   * Constructor with set x and y values
   */
  Point(float X, float Y)
  {
    x = X;
    y = Y;
  }
  
  /**
   * Rotates the point by theta radians
   */
  Point rotate(float theta)
  {
    Point R = new Point();
    float xprev = x;
    float yprev = y;
    R.x = cos(theta)*xprev+sin(theta)*yprev;
    R.y = -sin(theta)*xprev+cos(theta)*yprev;
    return R;
  }
  
  /**
   * Multiply by k
   */
  Point multiply(float k)
  {
    Point R = new Point();
    R.x = x*k;
    R.y = y*k;
    return R;
  }
}
