// ------------------------------------------------------------------------------
// http://www.arkitus.com
// Copyright (C) 2006  Ali Eslami
// 
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// ------------------------------------------------------------------------------
// Settings.java
// Loads the game's settings from file and stores them in a handy class
// ------------------------------------------------------------------------------

class Settings
{
  // - The Settings Values --------
  String GAMEWORLD_PATH;
  float PIXELS_PER_METER;
  float MAX_SPECULAR;
  
  /**
   * Constructor
   * Loads the file and sets up the values
   */
  Settings(String path)
  {
    // Number of lines reserved for instructions
    int offset = 6;
    
    // Load the file
    String[] data = loadStrings(path);
    
    // Parse the file to find the values
    // on the right hand side of the =
    for (int i=offset; i<data.length; i++)
    {
      String[] tokens = data[i].split(" = ");
      data[i] = tokens[1];
    }
    
    // Instantiate the variables
    GAMEWORLD_PATH =                     data[offset+0];
    PIXELS_PER_METER =                   Str2Flt(data[offset+1]);
    MAX_SPECULAR =                       Str2Flt(data[offset+2]);
  }
  
  /**
   * Convert a String to an Integer
   */
  int Str2Int(String S)
  {
    return Integer.parseInt(S);
  }
  
  /**
   * Convert a String to a Float
   */
  float Str2Flt(String S)
  {
    return (float) Integer.parseInt(S);
  }
}
